Packages - Freedom Issue #2068

Scratch trademark policy
2018-11-03 10:06 PM - Anonymous

Status: not-a-bug % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

https://directory.fsf.org/wiki/Free_Software_Directory:Free_software_evaluation#Trademark
Package: scratch

History

#1 - 2018-11-23 01:35 AM - freemor
- File TRADEMARK_POLICY added

Adding the file with the actual tademark policy to save other the bother of digging it up.

#2 - 2018-11-23 01:44 AM - freemor

I'm not a license wonk but from what | see this doesn't substantially effect freedom. It just says certain branding items can't be used if the source is
substantially modified.

looking at the PKGBUILD there is certainly not enough done for this policy to kick in and require debranding.

If I've missed something and this is an issue we can alway debrand it. Which is permissible thus the reason | don't see it as a freedom issue

#3 - 2018-12-05 10:02 PM - freemor

<sigh>

From irc:

10:27:44 @pbot | (hexchat_ said): Hi.

10:27:52 @pbot | (hexchat_ said): About Scratch issue,

10:28:20 @pbot | (hexchat_ said): Scratch cat can be used in programs.
10:28:36 @pbot | (hexchat_ said): So, it has non [HYPHEN] free art.
10:28:43 @pbot | (hexchat_ said): (trademark policy)

10:28:50 @pbot | (hexchat_ said): Fix ASAP.

A simple reading of LICENSE in the source shows:

Scratch Support materials (/Help), sample Media files (/Media), and sample
projects (/Projects), are licensed under the Creative Commons
Attribution-ShareAlike 3.0 Generic (CC BY-SA 3.0) license. To view a copy of
this license, visit http://creativecommons.org/licenses/by-sa/3.0/ or send a
letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View,
California, 94041, USA.

#4 - 2018-12-05 10:04 PM - freemor
- File LICENSE added

adding license file

#5 - 2018-12-05 10:07 PM - freemor
And just for clarity.

The cat in question is found in media thus. CC-BY-SA

./Media/Costumes/Animals/cat3.png
./Media/Costumes/Animals/catl-a.gif
./Media/Costumes/Animals/cat2.gif
./Media/Costumes/Animals/cat4.png
./Media/Costumes/Animals/catl-b.gif
#6 - 2018-12-05 10:42 PM - freemor

For future reference any concerns ending with "Fix ASAP" will be consider 1% above spam and given the attention something with such a rating
deserves.

#7 - 2018-12-06 09:56 AM - bill-auger

is the gist of this that the trademark policy invalidates the CC license; therefore obstructing artistic freedom on some "certain branding items"? - i dont
think it would necessarily be so - a logo is not any one file, but any file resembling it - a logo is entirely conceptual, specifying what all renderings must
share in common - the very ppl in the tiny and specified set (namely: those forks that want to represent themselves as or endorsed by the official
upstream), even they can use that logo file under the CC license - the trademark policy only restricts them from using that logo to (mis)represent
themselves

my understanding is vaguely as such:

e trademark policies relate and refer to the logo concept, but not any particular file
e the CC relates to specific files, but not the artistic concepts expressed within

¢ the concept: 'logo' is not identical to any file

¢ that CC license is valid for parabola and all of its users

e my understanding is incomplete

and last but not least, with artistic issues, we can often refer to debian for insight

#8 - 2018-12-06 01:27 PM - freemor

From my reading of the TRADEMARK document it is only a concern for heavily modified versions of Scratch it self and does not apply to things
written in or with Scratch.

So My understanding is:

Using the cat in a scratch program fine (CC-BY-SA)
Using the Cat on its own fine (CC-BY-SA)

Modifying Scratch itself so much that it now uses Python instead of Smalltalk and then using the logo, the name Scratch, And the cat == Trademark
violation.

So if we were needing to heavily patch scratch for some freedom issue, We would then have to check if the changes were enough to be considered
"Substantially Modified" and if so de-brand it.

Basically "If you fork this by changing appearance, behaviour, features, etc. Please, de-brand it to avoid confusion with the original" Not
"You can't use the included media without getting permission/a license/etc"

#9 - 2018-12-06 01:30 PM - freemor
From where | sit this is seems like a non-issue because I'm not seeing any freedom violations here.

Can you fork Scratch - Yes, just re-brand it.
Can you use the included media files freely - Yes, CC-BY-SA

The only thing they are really saying is, "Don't try to make a knock off thing and pass it off as Scratch"
#10 - 2018-12-12 04:25 AM - bill-auger

- Priority changed from bug to freedom issue

- Status changed from open to not-a-bug

Files
TRADEMARK_POLICY 935 Bytes 2018-11-23 freemor
LICENSE 1008 Bytes 2018-12-05 freemor
